Debian Bug report logs - #648256
ITP: cherokee -- Very fast, flexible and easy to

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Gunnar Wolf <gwolf@gwolf.org>

Date: Thu, 10 Nov 2011 00:42:01 UTC

Owned by: Leonel Nunez <leonel@enelserver.com>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, alvaro@octality.com, cherokee@cherokee-project.com, leonel@enelserver.com, wnpp@debian.org:
Bug#648256; Package wnpp. (Thu, 10 Nov 2011 00:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@gwolf.org>:
New Bug report received and forwarded. Copy sent to alvaro@octality.com, cherokee@cherokee-project.com, leonel@enelserver.com, wnpp@debian.org. (Thu, 10 Nov 2011 00:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: cherokee -- Very fast, flexible and easy to configure web server
Date: Wed, 9 Nov 2011 18:38:53 -0600
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

TL;DR → I need somebody to help me with Cherokee, and I intend to stop
      	 maintaining it (i.e. orphan it) after Wheezy is released.

I have been maintaining Cherokee for quite a long time — I packaged
the initial version sitting together with the upstream author while at
a conference in Bolivia, back in 2004, and did the first upload to
Debian in 2006.

The package description is:
 Cherokee is a very fast, flexible and easy to configure Web Server.
 It supports the widespread technologies nowadays: FastCGI, SCGI, PHP,
 CGI, TLS and SSL encrypted connections, Virtual hosts, Authentication,
 on the fly encoding, Apache compatible log files, HTTP Load Balancing,
 Data Base Balancing, SSI, Reverse HTTP Proxy and much more.
 .
 Cherokee also provides an easy to use configuration interface that
 allows one to configure the server from top to bottom without having to
 edit a text configuration file.

After being a very quiet package for some time, it entered a phase of
quick development, and saw eight major versions (and 82 upstream
versions in total) over five years. Right now, it seems development
speed has slowed down again.

Cherokee is not a very complex package; although it generates 16
binary packages, its build and installation logic are quite
straightforward. The package is quite a typical DH-based one.

Interaction with the upstream developers is a gift, it's one of the
swiftest packages I've seen — They are most responsive, and most
interested in having it packaged for Debian. There is an important
difference in our postures, however — A common one: They are
interested in supporting the latest versions, but not as much in
giving support to older releases. I have been requested several times
to push the latest release to backports.debian.org, but have failed to
do so.

Having the upstream project leader (Álvaro López) listed as a
co-maintainer, and having Leonel Núñez as an active co-maintainer as
well, why do I request an adopter for the cherokee package instead of
leaving it just for them? Because of the work focus. I cannot provide
proper support for older releases, as I am not quite literate in C and
the (very few) patches I have submitted to them end up being worse
than the bug I'm treating, and their main focus is basically providing
newer versions and prompting the users to upgrade. Leonel's work has
been quite useful, but as I have repeatedly told him, it is often
limited to a "make it compile and ship it" stance — Again, due to a
different focus.

I expect to hand this package over to a DD or DM, so no explicit
sponsoring is needed. Álvaro is since recently a Canonical employee —
Of course, I don't know much about his position there, but if you are
also related to Ubuntu, you might find extra points in interacting
with a co-worker.

Cherokee currently has an open security bug, but before it, since
three versions ago (1.2.100) has given several FTBFS in several
platforms (during the build tests — The binary itself builds
correctly, but might be performing in a buggy way). I have been unable
to follow up in a responsible way to the bugs.

IN SHORT, MY REQUEST:
--------------------

I am sending now this "Request For Adoption" bug. I intend to keep
maintaining Cherokee the best way I can (which as can be seen is not
too good) until the next Debian Stable release, and if no new
maintainer steps up by then, will flag it as Orphaned.

Thank you very much,

-- 
Gunnar Wolf • gwolf@gwolf.org • (+52-55)5623-0154 / 1451-2244
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#648256; Package wnpp. (Sat, 12 Nov 2011 01:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "M. David Peterson" <m.david@3rdandurban.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 12 Nov 2011 01:33:04 GMT) Full text and rfc822 format available.

Message #10 received at 648256@bugs.debian.org (full text, mbox):

From: "M. David Peterson" <m.david@3rdandurban.com>
To: Gunnar Wolf <gwolf@gwolf.org>, 648256@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: [Cherokee] Bug#648256: RFA: cherokee -- Very fast, flexible and easy to configure web server
Date: Fri, 11 Nov 2011 17:30:09 -0800
[Message part 1 (text/plain, inline)]
On Wed, Nov 9, 2011 at 4:38 PM, Gunnar Wolf <gwolf@gwolf.org> wrote:

> I am sending now this "Request For Adoption" bug. I intend to keep
> maintaining Cherokee the best way I can (which as can be seen is not
> too good) until the next Debian Stable release, and if no new
> maintainer steps up by then, will flag it as Orphaned.
>

I've never maintained a Debian package before, but I'm certainly willing to
learn if for no other reason than to ensure this project continues for as
an active package. What's the first step?

-- 
/M:D

M. David Peterson
Co-Founder & Chief Architect, 3rd&Urban, LLC
Email: m.david@3rdandUrban.com
Voice: (801) 742-1064
http://amp.fm | http://mdavidpeterson.com
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#648256; Package wnpp. (Sat, 12 Nov 2011 21:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@gwolf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 12 Nov 2011 21:36:10 GMT) Full text and rfc822 format available.

Message #15 received at 648256@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.org>
To: "M. David Peterson" <m.david@3rdandurban.com>
Cc: 648256@bugs.debian.org
Subject: Re: [Cherokee] Bug#648256: RFA: cherokee -- Very fast, flexible and easy to configure web server
Date: Sat, 12 Nov 2011 15:31:59 -0600
M. David Peterson dijo [Fri, Nov 11, 2011 at 05:30:09PM -0800]:
> > I am sending now this "Request For Adoption" bug. I intend to keep
> > maintaining Cherokee the best way I can (which as can be seen is not
> > too good) until the next Debian Stable release, and if no new
> > maintainer steps up by then, will flag it as Orphaned.
> 
> I've never maintained a Debian package before, but I'm certainly willing to
> learn if for no other reason than to ensure this project continues for as
> an active package. What's the first step?

Hi,

The package is kept in a public git repository, tracked at:

http://git.debian.org/?s=collab-maint%2Fcherokee

To be honest, I'd love to take your proposal, but that's more or less
where we are now - We need somebody familiar with maintaining packages
for Debian (and not just building packages, that's where we stand
now). This package is not too complex, but is clearly more than what
I'd suggest you to start with. Anyway, if you are interested in
maintaining packages in Debian, start with the New Maintainers' Guide:

http://www.debian.org/doc/manuals/maint-guide/

Also, be sure to get familiar with the Debian policy:

http://www.debian.org/doc/debian-policy/

Greetings,




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#648256; Package wnpp. (Thu, 17 Nov 2011 12:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Leonel Nunez" <leonel@enelserver.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 17 Nov 2011 12:39:15 GMT) Full text and rfc822 format available.

Message #20 received at submit@bugs.debian.org (full text, mbox):

From: "Leonel Nunez" <leonel@enelserver.com>
To: "Gunnar Wolf" <gwolf@gwolf.org>, 648256@bugs.debian.org
Cc: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: Re: Bug#648256: RFA: cherokee -- Very fast, flexible and easy to configure web server
Date: Thu, 17 Nov 2011 05:28:41 -0700 (MST)
Hello:

I am a Cherokee Fan and a Cherokee User.

I keep the Ubuntu PPA package updated with the lattest Cherokee version
https://launchpad.net/~cherokee-webserver/+archive/ppa

and when there is a need to patch something in /debian a patch is made.

I'd like to take the package or help a DD or DM to keep it updated and to
send or apply upstream patches for the Debian Releases

For sometime I've been working with Gunnar to keep the last cherokee
version updated for Debian Unstable.

I can keep Cherokee with the lattest version for Debian Unstable, and keep
it updated for the Testing and Stable versions.

I've added, edited, redoed some patches for this package.

A little background:

For sometime when CLAMAV was in Ubuntu Universe ( community maintained),
Working with Scott Kittermain ( MOTU ) we keept Clamav updated with
security patches for the current Ubuntu versions, making patches from
upstream updated versions.

We made the MIR document and applied to move clamav from Universe (
community maintained)  to Main ( officialy maintained)
https://wiki.ubuntu.com/MainInclusionReportClamav

Every clamav release, we searched the CVEs and sent the patches to
launchpad for revision and where applied for a new Ubuntu Security
release.

Once Clamav went into MAIN I stoped keeping track for clamav CVE's


So I only need to keep up with the debian policy

Saludos and I hope I can help with this.

-- 
Leonel Nunez
http://enelserver.com
http://enelserver.com/leonel/








Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#648256; Package wnpp. (Thu, 17 Nov 2011 12:39:51 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Leonel Nunez" <leonel@enelserver.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 17 Nov 2011 12:39:56 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#648256; Package wnpp. (Mon, 30 Apr 2012 02:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Leonel Nunez" <leonel@enelserver.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 30 Apr 2012 02:15:08 GMT) Full text and rfc822 format available.

Message #30 received at 648256@bugs.debian.org (full text, mbox):

From: "Leonel Nunez" <leonel@enelserver.com>
To: 648256@bugs.debian.org
Subject: I can adopt this package
Date: Sun, 29 Apr 2012 20:21:03 -0600 (MDT)
I can adopt this package.

I'm listed as an uploader but I'm not a debian developer or maintainder

What's the procedure to adopt this package ??


-- 
Leonel Nunez
http://enelserver.com
http://enelserver.com/leonel/






Changed Bug title to 'ITP: cherokee -- Very fast, flexible and easy to' from 'RFA: cherokee -- Very fast, flexible and easy to configure web server' Request was from bartm@knars.be to control@bugs.debian.org. (Thu, 07 Jun 2012 12:57:14 GMT) Full text and rfc822 format available.

Owner recorded as Leonel Nunez <leonel@enelserver.com>. Request was from bartm@knars.be to control@bugs.debian.org. (Thu, 07 Jun 2012 12:57:14 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: cherokee -- Very fast, flexible and easy to configure web server' from 'ITP: cherokee -- Very fast, flexible and easy to' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Thu, 07 Jun 2012 16:27:06 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Fri, 08 Jun 2012 18:03:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Leonel Nunez <leonel@enelserver.com>:
Bug#648256; Package wnpp. (Fri, 16 Aug 2013 17:05:52 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Leonel Nunez <leonel@enelserver.com>. (Fri, 16 Aug 2013 17:05:52 GMT) Full text and rfc822 format available.

Message #43 received at 648256@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 648256@bugs.debian.org
Cc: control@bugs.debian.org
Subject: cherokee: changing back from ITP to RFP
Date: Fri, 16 Aug 2013 18:58:53 +0200
retitle 648256 RFP: cherokee -- Very fast, flexible and easy to configure web server
noowner 648256
tag 648256 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging cherokee. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of cherokee back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 14 months.

If you are still interested in packaging cherokee, please send a mail to
<control@bugs.debian.org> with:

 retitle 648256 ITP: cherokee -- Very fast, flexible and easy to configure web server
 owner 648256 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <648256@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: cherokee -- Very fast, flexible and easy to configure web server' from 'ITP: cherokee -- Very fast, flexible and easy to configure web server' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Fri, 16 Aug 2013 17:15:27 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Leonel Nunez <leonel@enelserver.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Fri, 16 Aug 2013 17:15:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#648256; Package wnpp. (Fri, 16 Aug 2013 17:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leonel Nunez <leonel@enelserver.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 16 Aug 2013 17:30:04 GMT) Full text and rfc822 format available.

Message #52 received at 648256@bugs.debian.org (full text, mbox):

From: Leonel Nunez <leonel@enelserver.com>
To: Lucas Nussbaum <lucas@debian.org>, 648256@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#648256: cherokee: changing back from ITP to RFP
Date: Fri, 16 Aug 2013 11:20:51 -0600
El 2013-08-16 10:58, Lucas Nussbaum escribió:
> retitle 648256 RFP: cherokee -- Very fast, flexible and easy to
> configure web server
> noowner 648256
> tag 648256 - pending
> thanks
> 
> Hi,
> 
> A long time ago, you expressed interest in packaging cherokee. 
> Unfortunately,
> it seems that it did not happen. In Debian, we try not to keep ITP bugs 
> open
> for a too long time, as it might cause other prospective maintainers to
> refrain from packaging the software.
> 
> This is an automatic email to change the status of cherokee back from 
> ITP
> (Intent to Package) to RFP (Request for Package), because this bug 
> hasn't seen
> any activity during the last 14 months.
> 
> If you are still interested in packaging cherokee, please send a mail 
> to
> <control@bugs.debian.org> with:
> 
>  retitle 648256 ITP: cherokee -- Very fast, flexible and easy to
> configure web server
>  owner 648256 !
>  thanks
> 
> It is also a good idea to document your progress on this ITP from time 
> to
> time, by mailing <648256@bugs.debian.org>.  If you need guidance on how 
> to
> package this software, please reply to this email, and/or contact the
> debian-mentors@lists.debian.org mailing list.
> 
> Thank you for your interest in Debian,


Hello:


I was waiting for debian to be released so I can push the new cherokee 
package to sid.
I need an sponsor/mentor for that.

I had the package ready some months ago, let me check the package status 
and see if we can upload the lattest version.


Thank you

Leonel



---
Leonel Nunez
http://enelserver.com/leonel




Changed Bug title to 'ITP: cherokee -- Very fast, flexible and easy to' from 'RFP: cherokee -- Very fast, flexible and easy to configure web server' Request was from Leonel Nunez <leonel@enelserver.com> to control@bugs.debian.org. (Fri, 16 Aug 2013 17:30:07 GMT) Full text and rfc822 format available.

Owner recorded as Leonel Nunez <leonel@enelserver.com>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sun, 18 Aug 2013 19:54:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Leonel Nunez <leonel@enelserver.com>:
Bug#648256; Package wnpp. (Sat, 30 Nov 2013 20:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ken Sharp <imwellcushtymelike@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Leonel Nunez <leonel@enelserver.com>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Sat, 30 Nov 2013 20:06:04 GMT) Full text and rfc822 format available.


Message #61 received at 648256@bugs.debian.org (full text, mbox):

From: Ken Sharp <imwellcushtymelike@googlemail.com>
To: 648256@bugs.debian.org
Date: Sat, 30 Nov 2013 20:03:32 +0000
Ping



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#648256; Package wnpp. (Sat, 30 Nov 2013 20:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leonel Nunez <leonel@enelserver.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 30 Nov 2013 20:33:04 GMT) Full text and rfc822 format available.

Message #66 received at 648256@bugs.debian.org (full text, mbox):

From: Leonel Nunez <leonel@enelserver.com>
To: Ken Sharp <imwellcushtymelike@googlemail.com>, 648256@bugs.debian.org
Subject: Re: Bug#648256: (no subject)
Date: Sat, 30 Nov 2013 13:23:14 -0700
hello :

El 2013-11-30 13:03, Ken Sharp escribió:
> Ping

I've already cleaned my schedule  I'll start working on this bug next 
week

For what I've seen the root directory on the package has changed since 
the prior version that is what is holding me down

Can you help me in case I need help


---
Leonel Nunez




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Leonel Nunez <leonel@enelserver.com>:
Bug#648256; Package wnpp. (Thu, 02 Jan 2014 11:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Silverstone <dsilvers@digital-scurf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Leonel Nunez <leonel@enelserver.com>. (Thu, 02 Jan 2014 11:45:09 GMT) Full text and rfc822 format available.

Message #71 received at 648256@bugs.debian.org (full text, mbox):

From: Daniel Silverstone <dsilvers@digital-scurf.org>
To: 648256@bugs.debian.org
Subject: Potentially interested in co-maintaining Cherokee
Date: Thu, 2 Jan 2014 11:11:55 +0000
Hi,

I have recently been in touch with upstream (Stefan de Konink) and have been
assisting with a few bugs in Cherokee.

I'd be interested in helping with the packaging since I will need to maintain
updated Cherokee packages for myself for a Wheezy server anyway.

Are you interested in co-maintaining the package in Sid?

D.

-- 
Daniel Silverstone                         http://www.digital-scurf.org/
PGP mail accepted and encouraged.            Key Id: 3CCE BABE 206C 3B69



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#648256; Package wnpp. (Thu, 02 Jan 2014 14:03:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leonel Nunez <leonel@enelserver.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 02 Jan 2014 14:03:13 GMT) Full text and rfc822 format available.

Message #76 received at 648256@bugs.debian.org (full text, mbox):

From: Leonel Nunez <leonel@enelserver.com>
To: Daniel Silverstone <dsilvers@digital-scurf.org>, 648256@bugs.debian.org
Subject: Re: Bug#648256: Potentially interested in co-maintaining Cherokee
Date: Thu, 02 Jan 2014 07:02:41 -0700
El 2014-01-02 04:11, Daniel Silverstone escribió:
> Hi,
> 
> I have recently been in touch with upstream (Stefan de Konink) and have 
> been
> assisting with a few bugs in Cherokee.
> 
> I'd be interested in helping with the packaging since I will need to 
> maintain
> updated Cherokee packages for myself for a Wheezy server anyway.
> 
> Are you interested in co-maintaining the package in Sid?
> 
> D.

Yes all help is welcome

I'm already working on the package but it's taking me longer than I 
expected  but I'm moving on

Gracias y Saludos

---
Leonel Nunez
http://enelserver.com/leonel




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Leonel Nunez <leonel@enelserver.com>:
Bug#648256; Package wnpp. (Thu, 02 Jan 2014 14:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Silverstone <dsilvers@digital-scurf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Leonel Nunez <leonel@enelserver.com>. (Thu, 02 Jan 2014 14:39:05 GMT) Full text and rfc822 format available.

Message #81 received at 648256@bugs.debian.org (full text, mbox):

From: Daniel Silverstone <dsilvers@digital-scurf.org>
To: Leonel Nunez <leonel@enelserver.com>
Cc: 648256@bugs.debian.org
Subject: Re: Bug#648256: Potentially interested in co-maintaining Cherokee
Date: Thu, 2 Jan 2014 14:36:06 +0000
On Thu, Jan 02, 2014 at 07:02:41 -0700, Leonel Nunez wrote:
> Yes all help is welcome
> 
> I'm already working on the package but it's taking me longer than I
> expected  but I'm moving on

I went with what was there from before and just removed the patch which didn't
apply from the quilt.  That worked just fine for me.  Obviously it's not ideal
since it won't be necessarily up-to-date policy-wise, but it was good.

Gunnar was maintaining it on git.debian.org using git-buildpackage's infra.
Since then, upstream has moved to git themselves (on github) so we should
probably just migrate to that git history and add the debian/ dir in.

Let me know if you want me to do any of this.

D.

-- 
Daniel Silverstone                         http://www.digital-scurf.org/
PGP mail accepted and encouraged.            Key Id: 3CCE BABE 206C 3B69



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#648256; Package wnpp. (Thu, 02 Jan 2014 17:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leonel Nunez <leonel@enelserver.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 02 Jan 2014 17:03:04 GMT) Full text and rfc822 format available.

Message #86 received at 648256@bugs.debian.org (full text, mbox):

From: Leonel Nunez <leonel@enelserver.com>
To: Daniel Silverstone <dsilvers@digital-scurf.org>
Cc: 648256@bugs.debian.org
Subject: Re: Bug#648256: Potentially interested in co-maintaining Cherokee
Date: Thu, 02 Jan 2014 09:58:02 -0700
> I went with what was there from before and just removed the patch which 
> didn't
> apply from the quilt.  That worked just fine for me.  Obviously it's 
> not ideal
> since it won't be necessarily up-to-date policy-wise, but it was good.
> 
> Gunnar was maintaining it on git.debian.org using git-buildpackage's 
> infra.
> Since then, upstream has moved to git themselves (on github) so we 
> should
> probably just migrate to that git history and add the debian/ dir in.
> 
> Let me know if you want me to do any of this.
> 
> D.

Yes we are working on git.debian.org, I still have access to 
git.debian.org

sometime in the past upstream kept a /debian dir on the package but was 
removed.

I don't know if upstream wants to add the /debian dir but if you have 
acces to git.debian we can work there or if you prefer work with 
upstream I don't mind as long we can push the package to sid


This is the cherokee package status


The current version on git.debian.org and the ubuntu ppa version is the 
1.2.102 version.

the 1.2.103 version changed the package root directory from cherokee to 
webserver-1.2.103  so ..  No files are found when we try to build the 
package

I'm working on fixing that so we can push the package to SID



---
Leonel Nunez
http://enelserver.com/leonel




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:16:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.